import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import "../components"
import "view"
import "view/delegate"

import Artix.Core
import Artix.Gui
import Artix.Models
import Artix.Handlers

/**
 * @brief Диалог выбора значения характеристик разрезов
 */
ChoiceList {
    id: root
    dataModel: AspectValueChoiceModel { aspectValues: params.aspectValues }
    delegate: ChoiceListDelegate {
        contentItem: BasicLabel {
            Style.class: "aspectValueChoiceDelegate"
            text: display
            verticalAlignment: Qt.AlignVCenter
        }
    }
    titleContent: BasicLabel {
        Style.class: "aspectValueChoiceTitle"
        Tr { code: "aspectChoiceValueTitle"; defaultMessage: "Выберите %1"; args: [ params.aspectName.toLowerCase() ] }
    }

    DialogHandler { id: handler }

    onAccept: handler.sendAnswer(selectionModel.currentIndex.row)
    onReject: handler.sendAnswer(-1)
}
