import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import "../components"
import "view"
import "view/delegate"

import Artix.Core
import Artix.Gui
import Artix.Models
import Artix.Handlers

/**
 * @brief Диалог выбора скидки вручную
 */
ChoiceList {
    id: root
    dataModel: ManualDiscModel { srcData: params.lines; markedRows: params.markedRows }
    delegate: ChoiceListDelegate {
        pressed: selected || selectionModel.currentIndex.row === index
        contentItem: BasicLabel {
            Style.class: "manualDiscountDelegate"
            text: display
            verticalAlignment: Qt.AlignVCenter
        }
    }
    titleContent: BasicLabel {
        Style.class: "manualDiscountTitle"
        Tr { code: "manualDiscountFormTitle"; defaultMessage: "Выбор скидки"; }
    }

    DialogHandler { id: handler }

    onAccept: handler.sendAnswer(selectionModel.currentIndex.row)
    onReject: handler.sendAnswer(-1)

    Component.onCompleted: { root.okVisible = params.markedRows.length !== params.lines.length; }
}
