import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import QtMultimedia

import "../../components"

import Artix.Gui
import Artix.View

GroupBox {
    id: root

    readonly property bool isImage: qmlMainWindow.isImage(advertisingPath)
    property string advertisingPath: ViewController.advertisingPath

    Layout.preferredWidth: Style.layout.preferredWidth
    Layout.preferredHeight: Style.layout.preferredHeight

    MediaPlayer {
        id: player
        source: !isImage ? advertisingPath : ""
        loops: MediaPlayer.Infinite
        videoOutput: videoOutput
        onSourceChanged: play()
        Component.onCompleted: play()
    }
    ColumnLayout {
        anchors.fill: parent
        Layout.fillWidth: true
        Layout.fillHeight: true

        GroupBox {
            interactive: false
            Style.class: root.Style.class
            Layout.fillHeight: true
            Layout.fillWidth: true

            VideoOutput {
                id: videoOutput
                anchors.fill: parent
                visible: !isImage
            }

            AnimatedImage {
                anchors.fill: parent
                visible: isImage
                source: isImage ? advertisingPath : ""
                fillMode: Image.PreserveAspectFit
                onStatusChanged: playing = (status == AnimatedImage.Ready)
            }
        }
    }
}
